Build system: add stage specific SRC_HC_(WARNING_)OPTS
ClosedPublic

Authored by thomie on Nov 27 2015, 8:42 AM.

Details

Summary
  • Add stage specific versions of SRC_HC_OPTS. These are currently only used for -Werror. The previous combination of GhcStage2HcOpts and GhcLibHcOpts didn't apply to utils/*.
  • Add stage specific versions of SRC_HC_WARNING_OPTS. These will later be used for new warning supression flags that should not be passed to the bootstrap compiler.
  • Move -Wall (and -Werror) related code back to mk/warnings.mk, where it was before 987d54274. Now all warning related code is nicely together. Include mk/warnings.mk after mk/custom-settings.mk to make this work.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
thomie updated this revision to Diff 5335.Nov 27 2015, 8:42 AM
thomie retitled this revision from to Build system: add stage specific SRC_HC_(WARNING_)OPTS.
thomie updated this object.
thomie edited the test plan for this revision. (Show Details)
thomie added a reviewer: hvr.
thomie updated this revision to Diff 5340.Nov 27 2015, 1:35 PM
thomie edited edge metadata.

Delete unused function to pass validate

hvr awarded a token.Nov 27 2015, 3:35 PM
hvr edited edge metadata.Nov 27 2015, 3:39 PM

...can't wait to put this to use :-)

utils/mkUserGuidePart/Main.hs
79–83

why is this change in here?

hvr added inline comments.Nov 27 2015, 3:40 PM
utils/mkUserGuidePart/Main.hs
79–83

nevermind

bgamari accepted this revision.Nov 29 2015, 4:03 PM
bgamari edited edge metadata.

Great job with the notes. Looks good to me.

This revision is now accepted and ready to land.Nov 29 2015, 4:03 PM
hvr accepted this revision.Dec 1 2015, 3:00 AM
hvr edited edge metadata.
This revision was automatically updated to reflect the committed changes.